CRAN Package Check Results for Package openxlsx2

Last updated on 2024-07-22 05:49:58 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.8 132.08 341.36 473.44 OK
r-devel-linux-x86_64-debian-gcc 1.8 95.76 254.26 350.02 OK
r-devel-linux-x86_64-fedora-clang 1.8 627.75 NOTE
r-devel-linux-x86_64-fedora-gcc 1.8 658.82 OK
r-devel-windows-x86_64 1.8 93.00 256.00 349.00 NOTE
r-patched-linux-x86_64 1.8 118.75 327.26 446.01 OK
r-release-linux-x86_64 1.8 112.58 331.72 444.30 OK
r-release-macos-arm64 1.8 169.00 NOTE
r-release-macos-x86_64 1.8 352.00 NOTE
r-release-windows-x86_64 1.8 95.00 257.00 352.00 NOTE
r-oldrel-macos-arm64 1.8 165.00 ERROR
r-oldrel-macos-x86_64 1.8 409.00 ERROR
r-oldrel-windows-x86_64 1.8 92.00 322.00 414.00 WARN

Check Details

Version: 1.8
Check: installed package size
Result: NOTE installed size is 5.2Mb sub-directories of 1Mb or more: doc 1.6Mb libs 1.2Mb Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-windows-x86_64, r-release-macos-arm64, r-release-macos-x86_64, r-release-windows-x86_64, r-oldrel-macos-arm64, r-oldrel-macos-x86_64, r-oldrel-windows-x86_64

Version: 1.8
Check: running R code from vignettes
Result: ERROR Errors in running code in vignettes: when running code in ‘openxlsx2_charts_manual.Rmd’ ... > if (requireNamespace("ggplot2")) { + library(ggplot2) + p <- ggplot(mtcars, aes(x = mpg, fill = as.factor(gear))) + + ggtitle("Dist ..." ... [TRUNCATED] Loading required namespace: ggplot2 When sourcing ‘openxlsx2_charts_manual.R’: Error: file.exists(fileName) is not TRUE Execution halted ‘Update-from-openxlsx.Rmd’ using ‘UTF-8’... [1s/1s] OK ‘conditional-formatting.Rmd’ using ‘UTF-8’... [1s/2s] OK ‘openxlsx2.Rmd’ using ‘UTF-8’... [1s/1s] OK ‘openxlsx2_charts_manual.Rmd’ using ‘UTF-8’... failed ‘openxlsx2_formulas_manual.Rmd’ using ‘UTF-8’... [1s/1s] OK ‘openxlsx2_read_to_df.Rmd’ using ‘UTF-8’... [1s/1s] OK ‘openxlsx2_style_manual.Rmd’ using ‘UTF-8’... [2s/3s] OK Flavor: r-oldrel-macos-arm64

Version: 1.8
Check: running R code from vignettes
Result: ERROR Errors in running code in vignettes: when running code in ‘openxlsx2_charts_manual.Rmd’ ... > if (requireNamespace("ggplot2")) { + library(ggplot2) + p <- ggplot(mtcars, aes(x = mpg, fill = as.factor(gear))) + + ggtitle("Dist ..." ... [TRUNCATED] Loading required namespace: ggplot2 When sourcing ‘openxlsx2_charts_manual.R’: Error: file.exists(fileName) is not TRUE Execution halted ‘Update-from-openxlsx.Rmd’ using ‘UTF-8’... [1s/3s] OK ‘conditional-formatting.Rmd’ using ‘UTF-8’... [2s/5s] OK ‘openxlsx2.Rmd’ using ‘UTF-8’... [1s/3s] OK ‘openxlsx2_charts_manual.Rmd’ using ‘UTF-8’... failed ‘openxlsx2_formulas_manual.Rmd’ using ‘UTF-8’... [1s/2s] OK ‘openxlsx2_read_to_df.Rmd’ using ‘UTF-8’... [1s/3s] OK ‘openxlsx2_style_manual.Rmd’ using ‘UTF-8’... [5s/11s] OK Flavor: r-oldrel-macos-x86_64

Version: 1.8
Check: whether package can be installed
Result: WARN Found the following significant warnings: xlsb_funs.h:587:88: warning: array subscript 'FRTVersionFields[0]' is partly outside array bounds of 'uint16_t [1]' {aka 'short unsigned int [1]'} [-Warray-bounds] See 'd:/Rcompile/CRANpkg/local/4.3/openxlsx2.Rcheck/00install.out' for details. * used C++ compiler: 'g++.exe (GCC) 12.3.0' Flavor: r-oldrel-windows-x86_64